- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# installp – Manage packages on AIX

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Manage packages using ‘installp’ on AIX

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
accept_license boolean | Choices: no ← yes | Whether to accept the license for the package(s).
name list / required |  | One or more packages to install or remove. Use `all` to install all packages available on informed `repository_path`. aliases: pkg
repository_path path |  | Path with AIX packages (required to install).
state string | Choices: absent present ← | Whether the package needs to be present on or absent from the system.

## Notes

Note

- If the package is already installed, even the package/fileset is new, the module will not install it.

## Examples

    - name: Install package foo
      installp:
        name: foo
        repository_path: /repository/AIX71/installp/base
        package_license: yes
        state: present

    - name: Install bos.sysmgt that includes bos.sysmgt.nim.master, bos.sysmgt.nim.spot
      installp:
        name: bos.sysmgt
        repository_path: /repository/AIX71/installp/base
        package_license: yes
        state: present

    - name: Install bos.sysmgt.nim.master only
      installp:
        name: bos.sysmgt.nim.master
        repository_path: /repository/AIX71/installp/base
        package_license: yes
        state: present

    - name: Install bos.sysmgt.nim.master and bos.sysmgt.nim.spot
      installp:
        name: bos.sysmgt.nim.master, bos.sysmgt.nim.spot
        repository_path: /repository/AIX71/installp/base
        package_license: yes
        state: present

    - name: Remove packages bos.sysmgt.nim.master
      installp:
        name: bos.sysmgt.nim.master
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kairo Araujo (@kairoaraujo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.